<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        #banner{
            width: 590px;
            height: 470px;

        }
    </style>
</head>
<body>
    <div id="banner">
        <img src="" id="pic">
    </div>
    <button id="prer">上一个</button>
    <button id="next">下一个</button>

    <script>
        var picArr = new Array();
        picArr[0] = "img/pic4.jpg";
        picArr[1] = "img/pic2.webp";
        picArr[2] = "img/pic3.webp";
        picArr[3] = "img/pic1.webp";
        var timer,index = 0;
        var oPic = document.getElementById("pic");
        function showPic() {
            oPic.src = picArr[index];
            if(index<(picArr.length-1))
            index++;
            else {
                index = 0;
                timer = setTimeout("showPic()",2000);
            }
        }
        showpic();

        var oPrevB = document.getElementById("prev");
        var oNextB = document.getElementById("next");
        function showPrev() {
            if(index>0)
                index--;
            else
                index = 4;
            oPic.src=picArr[index];
            timer = setTimeout("showPrev()",2000)
        }
        function showNext() {
            clearTimeout(timer);
            showPic();
        }
        function showPre() {
            clearTimeout(timer);
            showPrev();
        }
        oPrevB.onclick = showPrev();
        oNextB.onclick = showNext()

    </script>

</body>
</html>